<?php

 class Note
 {
  var $noteID;
  var $createdByUserID;
  var $createdDate;
  var $title;
  var $synopsis;
  var $text;
  var $isApproved;

  var $commentCount;

  function Note()
  {
  }

  function isApproved()
  {
   if($this->isApproved == "1")
   {
    return true;
   }
   return false;
  }

  function setApproved($value)
  {
   if($value)
   {
    $this->isApproved = 1;
   }
   else
   {
    $this->isApproved = 0;
   }
  }

  function load()
  {
   global $db_database;

   if(!is_numeric($this->noteID))
   {
    return false;
   }

   $sql = "SELECT Note. * , Count( NoteComment.NoteCommentID ) AS CommentCount ";
   $sql.= "FROM Note ";
   $sql.= "LEFT JOIN NoteComment ON Note.NoteID = NoteComment.NoteID ";
   $sql.= "WHERE Note.NoteID = '$this->noteID' ";
   $sql.= "GROUP BY Note.NoteID ";
   $sql.= "ORDER BY Note.CreatedDate DESC";

   $result = $db_database->query($sql);
   if($result===false)
   {
    return false;
   }

   $array = $db_database->fetch_array($result);
   if($array===false)
   {
    return false;
   }
   $this->insertArray($array);
  }

  function store()
  {
   global $db_database;

   if(!is_numeric($this->noteID))
   {
    $this->noteID = 0;
   }

   if(!is_numeric($this->createdByUserID))
   {
    $this->createdByUserID = 0;
   }

   if(!is_numeric($this->createdDate) || $this->createdDate==0)
   {
    $this->createdDate = time();
   }

   if(!is_numeric($this->isApproved))
   {
    $this->isApproved = 0;
   }

   if($this->noteID == 0)
   {
    $sql = "INSERT INTO Note ";
    $sql.= "(CreatedByUserID, CreatedDate, Title, Synopsis, Text, IsApproved) ";
    $sql.= "VALUES (";
    $sql.= "'$this->createdByUserID',";
    $sql.= "'$this->createdDate',";
    $sql.= "'".$db_database->escape_string($this->title)."',";
    $sql.= "'".$db_database->escape_string($this->synopsis)."',";
    $sql.= "'".$db_database->escape_string($this->text)."',";
    $sql.= $this->isApproved.")";
   }
   else
   {
    $sql = "UPDATE Note SET ";
    $sql.= "CreatedByUserID = '$this->createdByUserID',";
    $sql.= "CreatedDate = '$this->createdDate',";
    $sql.= "Title = '".$db_database->escape_string($this->title)."',";
    $sql.= "Synopsis = '".$db_database->escape_string($this->synopsis)."',";
    $sql.= "Text = '".$db_database->escape_string($this->text)."',";
    $sql.= "IsApproved = ".$this->isApproved." ";
    $sql.= "WHERE NoteID='$this->noteID'";
   }

   $result = $db_database->query($sql);
  }

  function insertArray($array)
  {
   $this->noteID = $array["NoteID"];
   $this->createdByUserID = $array["CreatedByUserID"];
   $this->createdDate = $array["CreatedDate"];
   $this->title = $array["Title"];
   $this->synopsis = $array["Synopsis"];
   $this->text = $array["Text"];
   $this->isApproved = $array["IsApproved"];
   $this->commentCount = $array["CommentCount"];
  }

  function remove()
  {
   global $db_database,$g_attachments;

   if(!is_numeric($this->noteID))
   {
    return;
   }

   $sql = "DELETE FROM Note WHERE NoteID = '$this->noteID'";

   $db_database->query($sql);

   $g_attachments->deleteAttachmentsByNoteID($this->noteID);
  }

 }

?>
