<?php

 function getAccessLabels()
 {
  global $g_accesslabels;
  return array_keys($g_accesslabels);
 }

 function prefixURL($url)
 {
  if(strpos($url,"http://")===FALSE
    && strpos($url,"ftp://")===FALSE
    && strpos($url,"https://")===FALSE)
  {
   return "http://$url";
  }
  return $url;
 }

 function packCategory($category)
 {
  $cats = explode("/",$category);
  $prefix = "";
  $result = "";
  for($i=0;$i<count($cats);$i++)
  {
   $result .= $prefix.substr($cats[$i],0,3);
   $prefix = "/";
  }
  return $result;
 }

 function encryptPassword($password)
 {
  return md5($password);
 }

 function createValidationString()
 {
  return md5(" ".time());
 }

 function isAlphanumeric($password,$extra="")
 {
  $ok = "abcdefghijklmnopqrstuvwxyz";
  $ok.= "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  $ok.= "0123456789";
  $ok.= $extra;

  for($i=0;$i<strlen($password);$i++)
  {
   $c = $password[$i];

   $pos = strpos($ok,$c);
   if($pos===false)
   {
    return false;
   }
  }
  return true;
 }

 function isEmail($email)
 {
  // Does not check [ip] based domain. Rarely used anyway
  $ok_local = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  $ok_local.= "abcdefghijklmnopqrstuvwxyz";
  $ok_local.= "0123456789";
  $ok_local.= "!#$%*/?|^{}`~&'+-=_.";

  $ok_domain = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  $ok_domain.= "abcdefghijklmnopqrstuvwxyz";
  $ok_domain.= "0123456789";
  $ok_domain.= "-.";

  $data = explode("@",$email);

  if(count($data)!=2)
  {
   return false;
  }

  $local = $data[0];
  $domain = $data[1];

  for($i=0;$i<strlen($local);$i++)
  {
   $c = $local[$i];
   $pos = strpos($ok_local,$c);
   if($pos===false)
   {
    return false;
   }
  }

  for($i=0;$i<strlen($domain);$i++)
  {
   $c = $domain[$i];
   $pos = strpos($ok_domain,$c);
   if($pos===false)
   {
    return false;
   }
  }

  $cnt = substr_count($domain,".");
  if($cnt==0)
  {
   return false;
  }

  $data = explode(".",$email);
  for($i=0;$i<count($data);$i++)
  {
   $dat = $data[$i];
   if(strlen($dat)==0)
   {
    return false;
   }
  }

  return true;
 }

 function getIP($store=false)
 {
  global $g_ips,$g_user;

  if($g_ip!="")
   return $g_ip;

  if (getenv("HTTP_CLIENT_IP") && strcasecmp(getenv("HTTP_CLIENT_IP"), "unknown"))
   $ip = getenv("HTTP_CLIENT_IP");
  else if (getenv("HTTP_X_FORWARDED_FOR") && strcasecmp(getenv("HTTP_X_FORWARDED_FOR"), "unknown"))
   $ip = getenv("HTTP_X_FORWARDED_FOR");
  else if (getenv("REMOTE_ADDR") && strcasecmp(getenv("REMOTE_ADDR"), "unknown"))
   $ip = getenv("REMOTE_ADDR");
  else if (isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR'] && strcasecmp($_SERVER['REMOTE_ADDR'], "unknown"))
   $ip = $_SERVER['REMOTE_ADDR'];
  else
   $ip = "unknown";

  $split = explode(",",$ip);
  $ip = $split[0];

  if($store && is_object($g_user))
  {
   // Store user IP in IP table
   $ipo = new IP();
   $ipo->iP = $ip;
   $ipo->userID = $g_user->userID;
   $ipo->load();

   $ipo->lastUsedDate = time();
   $ipo->store();
  }

  return($ip);
 }

 function formatSize($size)
 {
  if($size>1024*1024*1024)
   return round($size/(1024*1024*1024))."Gb";
  if($size>1024*1024)
   return round($size/(1024*1024))."Mb";
  if($size>1024)
   return round($size/(1024))."kb";

  return $size."b";
 }

 function stringToTime($string)
 {
  // Simple date validator, returns false if bogus date or
  // if it doesn't match any of the valid types
  // valid types:
  // YYYYMMDD HHMM
  // YYYYMMDD
  // YYYYMMDD HH:MM
  // YYYYMMDDHHMM
  // YYYYMMDDHH:MM
  // 01234567890123

  $year = 0;
  $month = 0;
  $day = 0;
  $hour = 0;
  $minute = 0;

  $pos = strpos($string,":");
  $pos2 = strpos($string," ");

  if($pos===false && $pos2 == 8 && strlen($string)==13)
  {
   $year = substr($string,0,4);
   $month = substr($string,4,2);
   $day = substr($string,6,2);
   $hour = substr($string,9,2);
   $minute = substr($string,11,2);
  }
  else if($pos===false && strlen($string)==8)
  {
   $year = substr($string,0,4);
   $month = substr($string,4,2);
   $day = substr($string,6,2);
  }
  else if($pos==11 && $pos2==8 && strlen($string)==14)
  {
   $year = substr($string,0,4);
   $month = substr($string,4,2);
   $day = substr($string,6,2);
   $hour = substr($string,9,2);
   $minute = substr($string,12,2);
  }
  else if($pos===false && $pos2===false && strlen($string)==12)
  {
   $year = substr($string,0,4);
   $month = substr($string,4,2);
   $day = substr($string,6,2);
   $hour = substr($string,8,2);
   $minute = substr($string,10,2);
  }
  else if($pos==10 && $pos2===false && strlen($string)==13)
  {
   $year = substr($string,0,4);
   $month = substr($string,4,2);
   $day = substr($string,6,2);
   $hour = substr($string,8,2);
   $minute = substr($string,11,2);
  }
  else
  {
   return false;
  }

  if(!is_numeric($year) || !is_numeric($month) || !is_numeric($day) ||
     !is_numeric($hour) || !is_numeric($minute) ||
     $hour>23 || $hour<0 || $minute>59 || $minute<0)
  {
   return false;
  }

  if(@checkdate($month,$day,$year))
  {
   return mktime($hour,$minute,0,$month,$day,$year);
  }
  return false;
 }

 // Returns an array of all files in a directory
 if(!function_exists('scandir'))
 {
  function scandir($dirstr)
  {
   // php.net/scandir (PHP5)
   $files = array();
   $fh = opendir($dirstr);
   while (false !== ($filename = readdir($fh))) {
       array_push($files, $filename);
   }
   closedir($fh);
   sort($files);
   return $files;
  }
 }

 // recursively remove a directory
 // will return true even if not all files and subdirectories
 // could not be removed.
 function rrmdir($path)
 {
  if(!is_dir($path))
  {
   return false;
  }

  $files = scandir($path);

  for($i=0;$i<count($files);$i++)
  {
   $file = $files[$i];

   if($file!="." && $file!="..")
   {
    if(is_dir("$path/$file"))
    {
     rrmdir("$path/$file");
    }
    else
    {
     @unlink("$path/$file");
    }
   }
  }
  @rmdir("$path");
  return true;
 }

 function isValidFilename($filename,$invalidnames=false)
 {
  // block out the standard bits
  if($filename=="" || $filename=="." || $filename=="..")
  {
   return false;
  }

  // see if theres some extra invalid filenames
  if(is_array($invalidnames))
  {
   for($i=0;$i<count($invalidnames);$i++)
   {
    if($filename==$invalidnames[$i])
    {
     return false;
    }
   }
  }

 // Don't allow these characters: <>|"'\/:*?
  $invalids = "<>|\"'\\/:*?";

  for($i=0;$i<strlen($invalids);$i++)
  {
   $char = $invalids[$i];
   $pos = strpos($filename,$char);
   if($pos!==false)
   {
    return false;
   }
  }

  return true;
 }

 function scaleImage($source,$width,$height,$maxwidth,$maxheight)
 {
  // try width first
  $k = $width / $maxwidth;
  $nheight = round($height / $k);
  $nwidth = round($width / $k);

  if($nheight>$maxheight)
  {
   $k = $height / $maxheight;
   $nheight = round($height / $k);
   $nwidth = round($width / $k);
  }

  if($nheight>$height)
  {
   $nheight = $height;
  }

  if($nwidth>$width)
  {
   $nwidth = $width;
  }

  $im = imagecreatetruecolor($nwidth, $nheight);
  imagecopyresampled($im, $source, 0, 0, 0, 0, $nwidth, $nheight, $width, $height);
  return $im;
 }

 function getAllButtons()
 {
  $files = scandir(".");
  $links = array();

  for($i=0;$i<count($files);$i++)
  {
   $file = $files[$i];
   $type = substr($file,strlen($file)-4,4);

   if($type==".php")
   {
    $content = file($file);
    foreach($content as $linenbr => $line)
    {
     $pos = strpos($line, "functionLink(");
     if($pos!==false)
     {
      $sub = substr($line,$pos+12);
      $lvl=1;
      $ctr = $pos+13;
      while($lvl>0 && $ctr<strlen($line))
      {
       $char = $line[$pos];
       if($char==")")
       {
        $lvl--;
       }
       else if($char==")")
       {
        $lvl++;
       }
       $ctr++;
      }
      $cmd = substr($line,$pos+12,$ctr-($pos+12)-3);
      $params = explode(",",$cmd);
      $name = $params[1];
      if($name[0]=="\"")
      {
       $parts = explode("\"",$name);
       $name = $parts[1];
       if($name[0]!="$")
       {
        $links[$name]="bo";
       }
      }
     }
    }
   }
  }

  $links["Unlock Comment"]="bo";
  $links["Lock Comment"]="bo";

  $keys = array_keys($links);
  sort($keys);

  return $keys;
 } 
 
?>
